%{?mingw_package_header}

Name:           mingw-libepoxy
Version:        1.5.4
Release:        %mkrel 3
Summary:        MinGW Windows libepoxy library
Group:          Development/Other

License:        MIT
URL:            https://github.com/anholt/libepoxy
Source0:        https://github.com/anholt/libepoxy/archive/%{version}/libepoxy-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc

BuildRequires:  meson
BuildRequires:  python3

%description
Epoxy is a library for handling OpenGL function pointer management.

This package contains the MinGW Windows cross compiled libepoxy library.


%package -n mingw32-libepoxy
Summary:        MinGW Windows libepoxy library
Group:          Development/Other

%description -n mingw32-libepoxy
Epoxy is a library for handling OpenGL function pointer management.

This package contains the MinGW Windows cross compiled libepoxy library.


%package -n mingw64-libepoxy
Summary:        MinGW Windows libepoxy library
Group:          Development/Other

%description -n mingw64-libepoxy
Epoxy is a library for handling OpenGL function pointer management.

This package contains the MinGW Windows cross compiled libepoxy library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n libepoxy-%{version}


%build
%mingw_meson
%mingw_ninja


%install
%mingw_ninja_install


%files -n mingw32-libepoxy
%license COPYING
%{mingw32_bindir}/libepoxy-0.dll
%{mingw32_libdir}/libepoxy.dll.a
%{mingw32_libdir}/pkgconfig/epoxy.pc
%{mingw32_includedir}/epoxy/

%files -n mingw64-libepoxy
%license COPYING
%{mingw64_bindir}/libepoxy-0.dll
%{mingw64_libdir}/libepoxy.dll.a
%{mingw64_libdir}/pkgconfig/epoxy.pc
%{mingw64_includedir}/epoxy/



%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.5.4-3.mga8
+ Revision: 1539216
- Mageia 8 Mass Rebuild

* Mon Dec 02 2019 tv <tv> 1.5.4-2.mga8
+ Revision: 1464072
- switch to meson
- use %%autosetup

* Tue Nov 26 2019 daviddavid <daviddavid> 1.5.4-1.mga8
+ Revision: 1462919
- new version: 1.5.4

* Sun Oct 07 2018 daviddavid <daviddavid> 1.5.3-1.mga7
+ Revision: 1318411
- new version: 1.5.3

* Thu Sep 20 2018 umeabot <umeabot> 1.5.2-2.mga7
+ Revision: 1279832
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 1.5.2-1.mga7
+ Revision: 1248074
- new version: 1.5.2

* Tue Apr 05 2016 tv <tv> 1.3.1-1.mga6
+ Revision: 998586
- imported package mingw-libepoxy


* Tue Apr 05 2016 Thierry Vignaud <tv@mageia.org> 1.3.1-1.mga6
- import from FC
